{% block content %}
    {# List all contracts #}
    <div class="list-group mt-2">
        <div class="card-actions">
            <button class="btn btn-action"
                    hx-get="{% url 'employees:workingcontract-create' employee_pk=employee.pk %}"
                    hx-target="#dialog"
            ><i class="bi bi-plus-lg"></i></button>
        </div>
        {# TODO: highlight the workingcontract that is active #}
        {% for contract in workingcontract_list %}
            <div class="list-group-item{% if contract.is_active %} active{% endif %}">
                <div class="row align-items-center">
                    <div class="col text-truncate">
                        {{ contract.start_date }}
                        {% if contract.end_date %} - {{ contract.end_date }}{% endif %}
                    </div>
                    <div class="col-auto">
                        <div class="list-group-item-actions">
                            <button class="btn btn-action"
                                    hx-get="{% url 'employees:workingcontract-change' employee_pk=employee.pk pk=contract.pk %}"
                                    hx-target="#dialog"
                            ><i class="bi bi-pencil"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>

{% endblock %}